## esajpip 0.1~bzr33

=== Makefile ===
DEBUG=YES
#PLATFORM=MAC
PLATFORM=LINUX
#PLATFORM=SOLARIS

CXX=g++
SHELL=/bin/bash

OBJS += data/serialize              \
		data/file                   \
		data/file_segment           \
		data/vint_vector

OBJS +=	jpeg2000/point              \
		jpeg2000/coding_parameters  \
		jpeg2000/index_manager      \
		jpeg2000/image_index        \
		jpeg2000/packet_index       \
		jpeg2000/codestream_index   \
		jpeg2000/image_info         \
		jpeg2000/file_manager       \
		jpeg2000/packet				\
		jpeg2000/place_holder		\
		jpeg2000/meta_data			\
		jpeg2000/range

OBJS += ipc/ipc_object              \
		ipc/event                   \
		ipc/mutex                   \
		ipc/rdwr_lock

OBJS += http/protocol               \
		http/response               \
		http/header                 \
		http/request

OBJS += net/socket					\
		net/socket_stream			\
		net/poll_table

OBJS += jpip/jpip                   \
		jpip/woi                    \
		jpip/request                \
		jpip/woi_composer           \
		jpip/databin_writer			\
		jpip/cache_model			\
		jpip/databin_server

OBJS += base                        \
		trace                       \
		app_info					\
		app_config					\
		args_parser					\
		client_info					\
		client_manager					

ifeq ($(DEBUG),YES)							
FLAGS = -g -Wall -fmessage-length=0 -I src
else
FLAGS = -O2 -Wall -fmessage-length=0 -I src -DNDEBUG
endif

LIBS = -lpthread -lm -lconfig++ -llog4cpp

ifeq ($(PLATFORM),LINUX)
LIBS += -lrt
endif

ifeq ($(PLATFORM),SOLARIS)
LIBS += -lrt -lnsl -lsocket
FLAGS += -D_NO_DIRENT -D_NO_READPROC
FLAGS += -D_USE_BOOST -D_NO_FAST_FILE
endif

ifeq ($(PLATFORM),MAC)
FLAGS += -D_NO_READPROC -D_NO_TR1 -Wno-unused-private-field
FLAGS += -D_NO_FAST_FILE -I /opt/local/include/
LIBS += -L /opt/local/lib/
endif

FLAGS += -D_PLATFORM_${PLATFORM}

MAIN = packet_information				\
	   basic_server						\
	   esa_jpip_server			 		

obj/%.o: src/%.cc src/%.h
	mkdir -p obj/$$(dirname $*.cc)
	$(CXX) $(FLAGS) -c src/$*.cc -o obj/$*.o 
	
bin/esa_jpip_server: src/esa_jpip_server.cc $(OBJS:%=obj/%.o) src/version.h
	mkdir -p bin
	$(CXX) $(FLAGS) src/esa_jpip_server.cc -o $@ $(OBJS:%=obj/%.o) $(LIBS)

bin/basic_server: src/esa_jpip_server.cc $(OBJS:%=obj/%.o) src/version.h
	mkdir -p bin
	$(CXX) $(FLAGS) -DBASIC_SERVER src/esa_jpip_server.cc -o $@ $(OBJS:%=obj/%.o) $(LIBS)

bin/packet_information: src/packet_information.cc $(OBJS:%=obj/%.o)
	mkdir -p bin
	$(CXX) $(FLAGS) src/packet_information.cc -o $@ $(OBJS:%=obj/%.o) $(LIBS)

src/version.h: VERSION
	(n=$$(cat VERSION); echo "#define VERSION \"$$n\""> src/version.h)
	
doc: documentation

documentation:
	make -C doc

all: $(MAIN:%=bin/%)

clean:
	rm -rf obj bin log/* src/version.h
	make -C doc clean

=== doc/Makefile ===
SHELL=/bin/bash

FIGS = jpip_fig 	\
	partition	\
	codestream	\
	architecture	\
	client_manager
	
%.eps %.tex: %.fig
				fig2dev -L pstex $*.fig > $*.eps
				(fig2dev -L pstex_t -p $* $< | sed 's/includegraphics{/includegraphics{..\//g') > $*.tex

%.pdf: %.eps
				epstopdf $*.eps
	
doc: $(FIGS:%=%.pdf) documentation

clean:
	rm -rf *.pdf latex html doxyfile.ok
	rm -rf $(FIGS:%=%.pdf) $(FIGS:%=%.tex) $(FIGS:%=%.eps)

documentation:
	n=$$(cd ..; pwd) &&  			\
	cat doxyfile | 			\
		sed -e "s:__SRC_DIR__:$$n/src/:g" | 	\
	 	sed -e "s:__DOC_DIR__:$$n/doc/:g" 	\
	 	> doxyfile.ok &&			\
	doxygen doxyfile.ok &&		\
	make -C latex &&			\
	mv latex/refman.pdf .

=== debian/changelog ===
esajpip (0.1~bzr33-3) unstable; urgency=medium

  * Switch to libprocps4-dev. Closes: #795084 
  * Switch to libconfig-dev. Closes: #796525
  * Update Std-Vers to 3.9.6, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Sat, 22 Aug 2015 13:42:16 +0200

esajpip (0.1~bzr33-2) unstable; urgency=low

  * Fix compilation on doc without internet connection. Closes: #748833
  * Remove lintian warning about jquery.js

 -- Mathieu Malaterre <malat@debian.org>  Tue, 17 Jun 2014 15:15:32 +0200

esajpip (0.1~bzr33-1) unstable; urgency=low

  * New upstream, upload to sid

 -- Mathieu Malaterre <malat@debian.org>  Fri, 16 May 2014 16:13:58 +0200

esajpip (0.1~bzr28-1) experimental; urgency=low

  * Initial release. (Closes: #732012)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 12 Dec 2013 13:46:37 +0100

=== debian/control ===
Source: esajpip
Section: net
Priority: optional
Maintainer: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 9),
               docbook-xsl,
               libconfig++-dev,
               liblog4cpp5-dev,
               libprocps4-dev | libprocps-dev,
               xsltproc
Build-Depends-Indep: doxygen-latex, transfig
Homepage: https://code.launchpad.net/esajpip
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/esajpip/trunk/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/esajpip/trunk
Standards-Version: 3.9.6

Package: esajpip
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ESA JPIP Server
 The ESA JPIP server is capable to handle the following types of JPEG2000 image
 files: raw J2C, JP2 and JPX with or without hyperlinks. The codestreams of the
 images must comply with the following requirements:
  - No tiles partition is allowed.
  - The progression order must be LRCP, RLCP or RPCL.
  - PLT markers must be included with the information of all the packets.

Package: esajpip-doc
Section: doc
Architecture: all
Depends: doc-base, libjs-jquery, ${misc:Depends}
Description: ESA JPIP Server - doc
 The ESA JPIP server is capable to handle the following types of JPEG2000 image
 files: raw J2C, JP2 and JPX with or without hyperlinks. The codestreams of the
 images must comply with the following requirements:
  - No tiles partition is allowed.
  - The progression order must be LRCP, RLCP or RPCL.
  - PLT markers must be included with the information of all the packets.
 .
 This is the documentation for esajpip server

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

pkg_bin=esajpip
pkg_doc=esajpip-doc

override_dh_auto_build-arch:
	$(MAKE) all CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
	xsltproc debian/esa_jpip_server.1.xml

get-orig-source:
	#uscan --verbose --force-download --rename
	./debian/get-orig-source

override_dh_clean:
	dh_clean esa_jpip_server.1
	dh_clean CDDL

override_dh_install:
	dh_install -p$(pkg_bin) bin/esa_jpip_server usr/sbin
	#dh_install -p$(pkg_bin) bin/basic_server usr/sbin
	#dh_install -p$(pkg_bin) bin/packet_information usr/sbin
	dh_install -p$(pkg_bin) server.cfg etc/esajpip

override_dh_auto_build-indep:
	$(MAKE) documentation

# No tests needed for docs
override_dh_auto_test-indep:

#override_dh_auto_install-indep:
CDDL: COPYRIGHT
	cp -f $< $@

override_dh_installdocs: CDDL
	dh_installdocs -A $^
	# cleanup doxygen stuff:
	dh_installdocs        -p$(pkg_doc) doc/refman.pdf
	dh_installdocs -X.md5 -p$(pkg_doc) doc/html
	# jquery/lintian:
	dh_link -pesajpip-doc usr/share/javascript/jquery/jquery.js usr/share/doc/esajpip-doc/html/jquery.js
	dh_installdocs

override_dh_installman:
	dh_installman -p$(pkg_bin) esa_jpip_server.1

override_dh_compress:
	dh_compress -X.pdf -X.map
